Create Invoice VA
curl --request POST \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentReference": "INV-2026-1044",
"amount": 2500,
"currency": "KES",
"expiresAt": "2026-09-12T21:00:00Z",
"provisionInvoiceVa": true
}
'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments"
payload = {
"paymentReference": "INV-2026-1044",
"amount": 2500,
"currency": "KES",
"expiresAt": "2026-09-12T21:00:00Z",
"provisionInvoiceVa": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paymentReference: 'INV-2026-1044',
amount: 2500,
currency: 'KES',
expiresAt: '2026-09-12T21:00:00Z',
provisionInvoiceVa: true
})
};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "721e86a8-fd29-49b5-b42f-67e19dfb2f6e",
"merchantId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"subMerchantId": null,
"customerId": null,
"paymentReference": "INV-2026-1044",
"amount": 2500,
"currency": "KES",
"status": "OPEN",
"expiresAt": "2026-09-12T21:00:00Z",
"matchedCreditId": null,
"virtualAccountId": "dae3dc89-dd62-42cb-84a9-d884e8d6f536",
"virtualAccountNumber": "7600000073",
"createdAt": "2026-09-09T10:00:00.000Z"
}Invoice VA
Create Invoice VA
Creates a bill. provisionInvoiceVa defaults to true.
POST
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
expected-payments
Create Invoice VA
Authorizations
Access token from POST /api/v1/auth/login
Body
application/json
Response
201 - application/json
Created
The response is of type object.